java.lang.UnsupportedClassVersionError With Database Plugin
search cancel

java.lang.UnsupportedClassVersionError With Database Plugin

book

Article ID: 252278

calendar_today

Updated On:

Products

CA Workload Automation AE CA Workload Automation AE - System Agent (AutoSys)

Issue/Introduction

We are using JDBC 11.2 and it is compatible with JRE 1.8, as per below KB article. But we keep getting error as "UnsupportedClassVersionError".

https://knowledge.broadcom.com/external/article/216679/error-processing-request-for-de-client.html

java.lang.UnsupportedClassVersionError: JVMCFRE003 bad major version; class=com/microsoft/sqlserver/jdbc/SQLServerDriver

Environment

Release: All Supported Versions
Component: CA Workload Automation System Agent

Resolution

When you download the drivers from MicroSoft, you have 4 jar files each one is for particular version of java. You need to use only copy one of them "mssql-jdbc-11.2.0.jre8.jar".

Note # This issue occurs when you post all the file.